Fix typos

This commit is contained in:
Paul Bakker 2014-05-22 15:47:58 +02:00
parent c6ece49890
commit 1ebc0c592c
5 changed files with 8 additions and 8 deletions

View file

@ -7,7 +7,7 @@ Features
Bugfix Bugfix
* Fix in debug_print_msg() * Fix in debug_print_msg()
* Enforce alignment in the buffer allocator even if buffer is not alligned * Enforce alignment in the buffer allocator even if buffer is not aligned
* Remove less-than-zero checks on unsigned numbers * Remove less-than-zero checks on unsigned numbers
* Stricter check on SSL ClientHello internal sizes compared to actual packet * Stricter check on SSL ClientHello internal sizes compared to actual packet
size (found by TrustInSoft) size (found by TrustInSoft)

View file

@ -136,7 +136,7 @@ struct options
int ticket_timeout; /* session ticket lifetime */ int ticket_timeout; /* session ticket lifetime */
int cache_max; /* max number of session cache entries */ int cache_max; /* max number of session cache entries */
int cache_timeout; /* expiration delay of session cache entries */ int cache_timeout; /* expiration delay of session cache entries */
char *sni; /* string decribing sni information */ char *sni; /* string describing sni information */
const char *alpn_string; /* ALPN supported protocols */ const char *alpn_string; /* ALPN supported protocols */
} opt; } opt;

View file

@ -1034,7 +1034,7 @@ for VERIFY in $VERIFIES; do
;; ;;
*) *)
echo "Unkown peer: $PEER" >&2 echo "Unknown peer: $PEER" >&2
exit 1 exit 1
;; ;;

View file

@ -64,7 +64,7 @@ get_options() {
exit 0 exit 0
;; ;;
*) *)
echo "Unkown argument: '$1'" echo "Unknown argument: '$1'"
print_usage print_usage
exit 1 exit 1
;; ;;
@ -151,7 +151,7 @@ run_test() {
CLI_EXIT=$? CLI_EXIT=$?
echo "EXIT: $CLI_EXIT" >> cli_out echo "EXIT: $CLI_EXIT" >> cli_out
# psk is usefull when server only has bad certs # psk is useful when server only has bad certs
if is_polar "$SRV_CMD"; then if is_polar "$SRV_CMD"; then
"$P_CLI" request_page=SERVERQUIT tickets=0 auth_mode=none psk=abc123 \ "$P_CLI" request_page=SERVERQUIT tickets=0 auth_mode=none psk=abc123 \
crt_file=data_files/cli2.crt key_file=data_files/cli2.key \ crt_file=data_files/cli2.crt key_file=data_files/cli2.key \
@ -162,7 +162,7 @@ run_test() {
wait $SRV_PID wait $SRV_PID
# check if the client and server went at least to the handshake stage # check if the client and server went at least to the handshake stage
# (usefull to avoid tests with only negative assertions and non-zero # (useful to avoid tests with only negative assertions and non-zero
# expected client exit to incorrectly succeed in case of catastrophic # expected client exit to incorrectly succeed in case of catastrophic
# failure) # failure)
if is_polar "$SRV_CMD"; then if is_polar "$SRV_CMD"; then
@ -227,7 +227,7 @@ run_test() {
;; ;;
*) *)
echo "Unkown test: $1" >&2 echo "Unknown test: $1" >&2
exit 1 exit 1
esac esac
shift 2 shift 2

View file

@ -850,7 +850,7 @@ x509_oid_numstr:"2A8648F9F8F7F6F5F4F3F2F1F001":"":100:POLARSSL_ERR_OID_BUF_TOO_S
X509 crt keyUsage #1 (no extension, expected KU) X509 crt keyUsage #1 (no extension, expected KU)
x509_check_key_usage:"data_files/server1.crt":KU_DIGITAL_SIGNATURE|KU_KEY_ENCIPHERMENT:0 x509_check_key_usage:"data_files/server1.crt":KU_DIGITAL_SIGNATURE|KU_KEY_ENCIPHERMENT:0
X509 crt keyUsage #2 (no extension, suprising KU) X509 crt keyUsage #2 (no extension, surprising KU)
x509_check_key_usage:"data_files/server1.crt":KU_KEY_CERT_SIGN:0 x509_check_key_usage:"data_files/server1.crt":KU_KEY_CERT_SIGN:0
X509 crt keyUsage #3 (extension present, no KU) X509 crt keyUsage #3 (extension present, no KU)